Name:           mojo-parent
Version:        24
Release:        1%{?dist}
Summary:        Codehaus MOJO parent project pom file

Group:          Development/Libraries
License:        MIT
URL:            http://mojo.codehaus.org/
Source0:        https://nexus.codehaus.org/content/repositories/releases/org/codehaus/mojo/%{name}/%{version}/%{name}-%{version}-source-release.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  maven2
BuildRequires:  maven-antrun-plugin
BuildRequires:  maven-checkstyle-plugin
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-invoker-plugin
BuildRequires:  maven-enforcer-plugin
BuildRequires:  maven-plugin-cobertura
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-site-plugin
BuildRequires:  maven-install-plugin

Requires:       maven-plugin-plugin
Requires:       junit

Requires:       jpackage-utils
Requires(post):       jpackage-utils
Requires(postun):     jpackage-utils

%description
Codehaus MOJO parent project pom file

%prep
%setup -q

# see http://jira.codehaus.org/browse/MOJO-1561
sed -i 's:<artifactId>plexus-javadoc</artifactId>:<artifactId>plexus-component-javadoc</artifactId>:' pom.xml

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mvn-jpp -e \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        install javadoc:javadoc


%install
rm -rf %{buildroot}

%add_to_maven_depmap org.codehaus.mojo %{name} %{version} JPP %{name}

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap


%files
%defattr(-,root,root,-)
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*



%changelog
* Mon Sep  6 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 24-1
- Initial version of the package

